#include "Deserializer.h"

bool Deserializer::deserializeData(const std::string& filename, std::string& data) {
    std::ifstream file(filename, std::ios::binary);
    if (file.is_open()) {
        file.seekg(0, std::ios::end);
        std::streampos fileSize = file.tellg();
        file.seekg(0, std::ios::beg);

        data.resize(fileSize);
        file.read(&data[0], fileSize);
        file.close();
        return true;
    }
    return false;
}
